> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Account Number



## OpenAPI

````yaml api-reference/openapi-payments.json PATCH /invoice_account_number/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /invoice_account_number/{id}:
    patch:
      tags:
        - Invoice Account Number
      summary: Update an Account Number
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Example
                value:
                  active: false
            schema:
              properties:
                active:
                  description: >-
                    Flag indicating whether payments with this account number
                    will post. Filterable.
                  type: boolean
                tags:
                  description: Tags associated with the object. Filterable.
                  items:
                    type: string
                  type: array
                userdata:
                  description: Arbitrary data the user can attach to the object
                  type: object
        description: The invoice_account_number to update
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_1234567890
                    account_number: '1234567890'
                    active: false
                    bank_id: bank_treasuryprime
                    id: acctnum_1234567890
                    org_id: org_1234567890
                    tags: []
                    userdata: null
              schema:
                properties:
                  account_id:
                    description: >-
                      ID of the account with which the object is associated.
                      Filterable.
                    type: string
                  account_number:
                    description: Account number for use with incoming payments
                    type: string
                  active:
                    description: >-
                      Flag indicating whether payments with this account number
                      will post. Defaults to `true`. Filterable.
                    type: boolean
                  bank_id:
                    description: ID of the bank with which the object is associated
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  org_id:
                    description: ID of the organization with which the object is associated
                    type: string
                  tags:
                    description: Tags associated with the object. Filterable.
                    items:
                      type: string
                    type: array
                  userdata:
                    description: Arbitrary data the user can attach to the object
                    type: object
          description: The invoice_account_number updated
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````